<template>
  <div id="app">
  <div class="box">

      <ul class="breadcrumb">
        <li><router-link :to="{ name:'root'}"><span class="icon-vulcan-salute"></span>
         Bio</router-link>
        </li>
        <li><router-link :to="{ name: 'filmo' }"><span class="icon-film"></span>
         Filmo </router-link>
        </li>
        <li><router-link :to="{ name: 'galerie' }"><span class="icon-camera"></span> 
        Galerie </router-link>
        </li>
        <li><router-link :to="{ name: 'livreDor' }"><span class="icon-pencil"></span>
         Livre d'or </router-link>
        </li>
        
      </ul>
    </div>
    <aside>
      <div class="inner">
        <ul>
          <li>
            <router-link :to="{ name:'root'}">
              <span class="icon-vulcan-salute nav--icon"></span>
            </router-link>
          </li>
           <li>
            <router-link :to="{ name: 'filmo' }">
              <span class="icon-film nav--icon"></span>
            </router-link>
          </li>
          <li>
            <router-link :to="{ name: 'galerie' }">
              <span class="icon-camera nav--icon"></span>
            </router-link>
          </li>
          <li>
            <router-link :to="{ name: 'livreDor' }">
              <span class="icon-pencil nav--icon"></span>
            </router-link>
          </li>
              
       
        </ul>
      </div>
    </aside>
    <router-view></router-view>
    
  </div>
</template>

<script>

export default {
  name: "App",
  metaInfo: {
      title: 'Fansite Spock Leonard Nimoy'
    },  
};
</script>

<style>

@import url('https://fonts.googleapis.com/css2?family=Mukta:wght@300&family=Quicksand&display=swap');

@font-face {
  font-family: 'icomoon';
  src:  url('assets/fonts-icons/icomoon.eot?sels5j');
  src:  url('assets/fonts-icons/icomoon.eot?sels5j#iefix') format('embedded-opentype'),
    url('assets/fonts-icons/icomoon.ttf?sels5j') format('truetype'),
    url('assets/fonts-icons/icomoon.woff?sels5j') format('woff'),
    url('assets/fonts-icons/icomoon.svg?sels5j#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-vulcan:before {
  content: "\e900";
  color: #fff;
  width: 32px;
}
.icon-vulcan:hover:before {
  color: #1da2f1;
}
.icon-vulcan-salute:before {
  content: "\e901";
  color: #fff;
  width: 32px;
}
.icon-vulcan-salute:hover:before {
  color: #1da2f1;
}
.icon-pencil:before {
  content: "\e902";
  color: #fff;
  width: 32px;
}
.icon-pencil:hover:before {
  color: #1da2f1;
}
.icon-film:before {
  content: "\e903";
  color: #fff;
  width: 32px;
}
.icon-film:hover:before {
  color: #1da2f1;
}
.icon-exit:before {
  content: "\e904";
  color: #fff;
  width: 32px;
}
.icon-exit:hover:before {
  color: #1da2f1;
}
.icon-camera:before {
  content: "\e905";
  color: #fff;
  width: 32px;
}
.icon-camera:hover:before {
  color: #1da2f1;
}

html {
  font: 400 1em/1.33 "Lora", serif;
  background-color: #191919;
}
body {
  margin: 0;
}

.box{
  margin-top: 5px;
  min-height :80px;
}
ul.breadcrumb {
  font-family: 'Mukta', sans-serif;
  font-variant: all-small-caps;
  display: block;
  margin-top:0;
  padding: 10px 16px;
  list-style: none;
  width:auto;
  height:auto;
}
ul.breadcrumb li {
  display: inline;
  font-size: 20px;
}

ul.breadcrumb li img {
  width: 20px;
}

@media screen and (max-width: 60.75em) {
  ul.breadcrumb li {
    font-size: 18px;
  }

  ul.breadcrumb li img {
    width: 18px;
  }

}

ul.breadcrumb li + li:before {
  padding: 4px;
  color: white;
  content: "|\00a0";
}
ul.breadcrumb li a {
  color: #FFF;
  text-decoration: none;
}
ul.breadcrumb li a:hover{
  color: #1da2f1;
}

aside {
  position: fixed;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 0px;
  background: rgba(0, 0, 0, 0.5);
  overflow: hidden;
  -webkit-transition: width 0.3s;
  transition: width 0.3s;
  width: 52px;
  z-index: 99;
  will-change: width;
}

ul {
  color:white;
  display: grid;
  align-content: space-evenly;
  justify-content: center;
  float: right;
  width: 50px;
  height: 240px;
  padding: 0;
  list-style: none;
}

li {
  text-align: right;
  padding: 0;
}

a {
  -webkit-transition: color 0.2s;
  transition: color 0.2s;
  text-decoration: none;
}

span.nav--icon {
  color:white;
  font-size: 2em;
  display: inline-flex;
  justify-content: space-between;
}
ul li a img:hover {
  -webkit-transform: scale(1.2);
	transform: scale(1.2);
}

</style>

